API Explanation

Request Type

POST

Request URI

/api/v1/pay/refund

Request

ParameterTypeRequiredDescriptionRemark
oriPaymentIdStringYesPayment ID to be Refunded
refundAmountStringYesRefund Amountcent is the unit, “100” means a dollar

Request Example:

{
  "oriPaymentId": "1677688845950853",
  "refundAmount": "10"
}

Response

ParameterTypeDescriptionRemark
refundIdStringRefund ID
refundAmountStringRefund Amountcent is the unit, “100” means a dollar
refundStatusStringRefund Order Status
tradeTimeStringRefund Transaction Time
saleNumberString
exchangeRateStringExchange Rate

Response Example:

{
  "status": "SUCCESS",
  "result": {
    "refundId": "REF167871916840228",
    "refundAmount": "100",
    "refundStatus": "success",
    "tradeTime": "Mar 13, 2023 10:52:49 AM",
    "saleNumber": null,
    "exchangeRate": "5.00767700"
  }
}